import { Context, PropsWithChildren } from "react";
import { User } from "@one-profile/core";
import { Theme } from "@mui/material";
import { AppProps } from "single-spa";
export type AppContext = {
    accountId: string;
    getAccessToken: () => Promise<string>;
    theme: Theme;
    user: User;
} & AppProps;
export declare const appContext: Context<AppContext>;
export declare function AppContextProvider(props: PropsWithChildren<AppContext>): JSX.Element;
